
;	assembler directive tests.


data1:		.equ	abcdh		;label definition directive

data2:		.defl	1234h		;variable label directive
data2:		.defl	abcdh		;2nd definition of "data2"
data8:		.equal	7


		.defb	10		;define byte directive
		.defb	'a'		;define ascii character

		.defw	256		;define word directive

		.defs	ffh		;define storage directive





;	assembly time calculations test

		ld	a,(address+2)		;comment test
		ld	a,(address-ffh)
		ld	(address-ffh),a
		ld	(address-2),a
		ld	a,(address/2)
		ld	a,(iy+data8+2)
		ld	hl,address+2
		ld	hl,(address+2)
		ld	hl,(address-(data8^-data8)+2)
		ld	hl,2000h+data8
		ld	(2000h-data16),hl
		ld	(2000h-data16),hl
		ld	(2000h-data16),hl

		ld	ix,address+2
		ld	iy,address-5



;		test constants.

data16:		.word			;16 bit data
address:	.equal	$		;symbolic address reference
routine:	.equal	0000h		;symbolic routine reference



;	instruction tests


adc:		adc	a,a
		adc	a,b
		adc	a,c
		adc	a,d
		adc	a,e
		adc	a,h
		adc	a,l
		adc	a,(hl)
		adc	a,(ix+10)
		adc	a,(ix+10d)
		adc	a,(ix+10h)
		adc	a,(ix+10b)
		adc	a,(ix+10q)
		adc	a,(ix-10)
		adc	a,(ix-10d)
		adc	a,(ix-10h)
		adc	a,(ix-10b)
		adc	a,(ix-10q)
		adc	a,(ix+data8)
		adc	a,(iy+10)
		adc	a,(iy+10d)
		adc	a,(iy+10h)
		adc	a,(iy+10q)
		adc	a,(iy+10b)
		adc	a,(iy-10)
		adc	a,(iy-10d)
		adc	a,(iy-10h)
		adc	a,(iy-10q)
		adc	a,(iy-10b)
		adc	a,(iy+data8)
		adc	a,10
		adc	a,10d
		adc	a,10h
		adc	a,10q
		adc	a,10b
		adc	a,-10
		adc	a,-10d
		adc	a,-10h
		adc	a,-10q
		adc	a,-10b
		adc	a,data8

		adc	hl,bc
		adc	hl,de
		adc	hl,hl
		adc	hl,sp


add:		add	a,a
		add	a,b
		add	a,c
		add	a,d
		add	a,e
		add	a,h
		add	a,l
		add	a,(hl)
		add	a,(ix+10)
		add	a,(ix+10d)
		add	a,(ix+10h)
		add	a,(ix+10q)
		add	a,(ix+10b)
		add	a,(ix-10)
		add	a,(ix-10d)
		add	a,(ix-10h)
		add	a,(ix-10q)
		add	a,(ix-10b)
		add	a,(ix+data8)
		add	a,(iy+10)
		add	a,(iy+10d)
		add	a,(iy+10h)
		add	a,(iy+10q)
		add	a,(iy+10b)
		add	a,(iy-10)
		add	a,(iy-10d)
		add	a,(iy-10h)
		add	a,(iy-10q)
		add	a,(iy-10b)
		add	a,(iy+data8)
		add	a,10
		add	a,10d
		add	a,10h
		add	a,10q
		add	a,10b
		add	a,-10
		add	a,-10d
		add	a,-10h
		add	a,-10q
		add	a,-10b
		add	a,data8

		add	hl,bc
		add	hl,de
		add	hl,hl
		add	ix,bc
		add	ix,de
		add	ix,sp
		add	ix,ix
		add	iy,bc
		add	iy,de
		add	iy,sp
		add	iy,iy


and:		and	a
		and	b
		and	c
		and	d
		and	e
		and	h
		and	l
		and	(hl)
		and	(ix+10)
		and	(ix+10d)
		and	(ix+10h)
		and	(ix+10q)
		and	(ix+10b)
		and	(ix-10)
		and	(ix-10d)
		and	(ix-10h)
		and	(ix-10q)
		and	(ix-10b)
		and	(ix+data8)
		and	(iy+10)
		and	(iy+10d)
		and	(iy+10h)
		and	(iy+10q)
		and	(iy+10b)
		and	(iy-10)
		and	(iy-10d)
		and	(iy-10h)
		and	(iy-10q)
		and	(iy-10b)
		and	(iy+data8)
		and	10
		and	10d
		and	10h
		and	10q
		and	10b
		and	-10
		and	-10d
		and	-10h
		and	-10q
		and	-10b
		and	data8


bit:		bit	0,a
		bit	1,b
		bit	2,c
		bit	3,d
		bit	4,e
		bit	5,h
		bit	6,l
		bit	7,a
		bit	1d,a
		bit	1h,a
		bit	1q,a
		bit	1b,a
		bit	data8,a
		bit	1,(hl)
		bit	1d,(hl)
		bit	1h,(hl)
		bit	1q,(hl)
		bit	1b,(hl)
		bit	data8,(hl)
		bit	1,(ix+1)
		bit	1d,(ix+1)
		bit	1h,(ix+1)
		bit	1q,(ix+1)
		bit	1b,(ix+1)
		bit	1,(ix+10)
		bit	1,(ix+10d)
		bit	1,(ix+10h)
		bit	1,(ix+10q)
		bit	1,(ix+10b)
		bit	1d,(ix+10)
		bit	1d,(ix+10d)
		bit	1d,(ix+10h)
		bit	1d,(ix+10q)
		bit	1d,(ix+10b)
		bit	1h,(ix+10)
		bit	1h,(ix+10d)
		bit	1h,(ix+10h)
		bit	1h,(ix+10q)
		bit	1h,(ix+10b)
		bit	1q,(ix+10)
		bit	1q,(ix+10d)
		bit	1q,(ix+10h)
		bit	1q,(ix+10q)
		bit	1q,(ix+10b)
		bit	1b,(ix+10)
		bit	1b,(ix+10d)
		bit	1b,(ix+10h)
		bit	1b,(ix+10q)
		bit	1b,(ix+10b)
		bit	data8,(ix+1)
		bit	1,(ix-10)
		bit	1,(ix-10d)
		bit	1,(ix-10h)
		bit	1,(ix-10q)
		bit	1,(ix-10b)
		bit	1d,(ix-10)
		bit	1d,(ix-10d)
		bit	1d,(ix-10h)
		bit	1d,(ix-10q)
		bit	1d,(ix-10b)
		bit	1h,(ix-10)
		bit	1h,(ix-10d)
		bit	1h,(ix-10h)
		bit	1h,(ix-10q)
		bit	1h,(ix-10b)
		bit	1q,(ix-10)
		bit	1q,(ix-10d)
		bit	1q,(ix-10h)
		bit	1q,(ix-10q)
		bit	1q,(ix-10b)
		bit	1b,(ix-10)
		bit	1b,(ix-10d)
		bit	1b,(ix-10h)
		bit	1b,(ix-10q)
		bit	1b,(ix-10b)
		bit	data8,(ix-1)
		bit	1,(ix+data8)
		bit	data8,(ix+data8)
		bit	7,(iy+5)
		bit	data8,(iy+5)
		bit	7,(iy-5)
		bit	data8,(iy-5)
		bit	7,(iy+data8)
		bit	data8,(iy+data8)


call:		call	1234h
		call	routine

		call	c,1234h
		call	c,routine

		call	nc,1234h
		call	nc,routine

		call	z,1234h
		call	z,routine

		call	nz,1234h
		call	nz,routine

		call	pe,1234h
		call	pe,routine

		call	po,1234h
		call	po,routine

		call	m,1234h
		call	m,routine

		call	p,1234h
		call	p,routine


ccf:		ccf


cp:		cp	a
		cp	b
		cp	c
		cp	d
		cp	e
		cp	h
		cp	l
		cp	(hl)
		cp	(ix+10)
		cp	(ix+10d)
		cp	(ix+10h)
		cp	(ix+10q)
		cp	(ix+10b)
		cp	(ix-10)
		cp	(ix-10d)
		cp	(ix-10h)
		cp	(ix-10q)
		cp	(ix-10b)
		cp	(ix+data8)
		cp	(iy+10)
		cp	(iy+10d)
		cp	(iy+10h)
		cp	(iy+10q)
		cp	(iy+10b)
		cp	(iy-10)
		cp	(iy-10d)
		cp	(iy-10q)
		cp	(iy-10b)
		cp	(iy+data8)
		cp	10
		cp	10d
		cp	10h
		cp	10q
		cp	10b
		cp	-10
		cp	-10d
		cp	-10h
		cp	-10q
		cp	-10b
		cp	data8


cpd:		cpd


cpdr:		cpdr


cpi:		cpi


cpir:		cpir


cpl:		cpl


daa:		daa


dec:		dec	a
		dec	b
		dec	c
		dec	d
		dec	e
		dec	h
		dec	l
		dec	(hl)
		dec	(ix+10)
		dec	(ix+10d)
		dec	(ix+10h)
		dec	(ix+10q)
		dec	(ix+10b)
		dec	(ix-10)
		dec	(ix-10d)
		dec	(ix-10h)
		dec	(ix-10q)
		dec	(ix-10b)
		dec	(ix+data8)
		dec	(iy+10)
		dec	(iy+10d)
		dec	(iy+10h)
		dec	(iy+10q)
		dec	(iy+10b)
		dec	(iy-10)
		dec	(iy-10d)
		dec	(iy-10h)
		dec	(iy-10q)
		dec	(iy-10b)
		dec	(iy+data8)

		dec	bc
		dec	de
		dec	hl
		dec	sp
		dec	ix
		dec	iy


di:		di


djnz:		djnz	10
		djnz	10d
		djnz	10h
		djnz	10q
		djnz	10b
		djnz	-10
		djnz	-10d
		djnz	-10h
		djnz	-10q
		djnz	-10b
		djnz	exx


ei:		ei


ex:		ex	af,af'
		ex	de,hl
		ex	(sp),hl
		ex	(sp),ix
		ex	(sp),iy


exx:		exx


halt:		halt


im0:		im	0


im1:		im	1


im2:		im	2


in:		in	a,(10)
		in	a,(10d)
		in	a,(10h)
		in	a,(10q)
		in	a,(10b)
		in	a,(data8)

		in	a,(c)
		in	b,(c)
		in	c,(c)
		in	d,(c)
		in	e,(c)
		in	h,(c)
		in	l,(c)


inc:		inc	a
		inc	b
		inc	c
		inc	d
		inc	e
		inc	h
		inc	l
		inc	(hl)
		inc	(ix+10)
		inc	(ix+10d)
		inc	(ix+10h)
		inc	(ix+10q)
		inc	(ix+10b)
		inc	(ix-10)
		inc	(ix-10d)
		inc	(ix-10h)
		inc	(ix-10q)
		inc	(ix-10b)
		inc	(ix+data8)
		inc	(iy+10)
		inc	(iy+10d)
		inc	(iy+10h)
		inc	(iy+10q)
		inc	(iy+10b)
		inc	(iy-10)
		inc	(iy-10d)
		inc	(iy-10h)
		inc	(iy-10q)
		inc	(iy-10b)
		inc	(iy+data8)

		inc	bc
		inc	de
		inc	hl
		inc	sp
		inc	ix
		inc	iy


ind:		ind


indr:		indr


ini:		ini


inir:		inir


jp:		jp	1234h
		jp	routine

		jp	c,1234h
		jp	c,routine

		jp	nc,1234h
		jp	nc,routine

		jp	z,1234h
		jp	z,routine

		jp	nz,1234h
		jp	nz,routine

		jp	pe,1234h
		jp	pe,routine

		jp	po,1234h
		jp	po,routine

		jp	m,1234h
		jp	m,routine

		jp	p,1234h
		jp	p,routine

		jp	(hl)
		jp	(ix)
		jp	(iy)


jr:		jr	10
		jr	10d
		jr	10h
		jr	10q
		jr	10b
		jr	ld

		jr	c,10
		jr	c,10d
		jr	c,10h
		jr	c,10q
		jr	c,10b
		jr	c,-10
		jr	c,-10d
		jr	c,-10h
		jr	c,-10q
		jr	c,-10b
		jr	c,ld

		jr	nc,10
		jr	nc,10d
		jr	nc,10h
		jr	nc,10q
		jr	nc,10b
		jr	nc,-10
		jr	nc,-10d
		jr	nc,-10h
		jr	nc,-10q
		jr	nc,-10b
		jr	nc,ld

		jr	z,10
		jr	z,10d
		jr	z,10h
		jr	z,10q
		jr	z,10b
		jr	z,-10
		jr	z,-10d
		jr	z,-10h
		jr	z,-10q
		jr	z,-10b
		jr	z,ld

		jr	nz,10
		jr	nz,10d
		jr	nz,10h
		jr	nz,10q
		jr	nz,10b
		jr	nz,-10
		jr	nz,-10d
		jr	nz,-10h
		jr	nz,-10q
		jr	nz,-10b
		jr	nz,ld


ld:		ld	a,a
		ld	a,b
		ld	a,c
		ld	a,d
		ld	a,e
		ld	a,h
		ld	a,l
		ld	b,a
		ld	b,b
		ld	b,c
		ld	b,d
		ld	b,e
		ld	b,h
		ld	b,l
		ld	c,a
		ld	c,b
		ld	c,c
		ld	c,d
		ld	c,e
		ld	c,h
		ld	c,l
		ld	d,a
		ld	d,b
		ld	d,c
		ld	d,d
		ld	d,e
		ld	d,h
		ld	d,l
		ld	e,a
		ld	e,b
		ld	e,c
		ld	e,d
		ld	e,e
		ld	e,h
		ld	e,l
		ld	h,a
		ld	h,b
		ld	h,c
		ld	h,d
		ld	h,e
		ld	h,h
		ld	h,l
		ld	l,a
		ld	l,b
		ld	l,c
		ld	l,d
		ld	l,e
		ld	l,h
		ld	l,l
		ld	a,(hl)
		ld	b,(hl)
		ld	c,(hl)
		ld	d,(hl)
		ld	e,(hl)
		ld	h,(hl)
		ld	l,(hl)
		ld	a,(bc)
		ld	a,(de)
		ld	a,(ix+10)
		ld	a,(ix+10d)
		ld	a,(ix+10h)
		ld	a,(ix+10q)
		ld	a,(ix+10b)
		ld	b,(iy+10)
		ld	b,(iy+10d)
		ld	b,(iy+10h)
		ld	b,(iy+10q)
		ld	b,(iy+10b)
		ld	c,(ix-10)
		ld	c,(ix-10d)
		ld	c,(ix-10h)
		ld	c,(ix-10q)
		ld	c,(ix-10b)
		ld	d,(iy-10)
		ld	d,(iy-10d)
		ld	d,(iy-10h)
		ld	d,(iy-10q)
		ld	d,(iy-10b)
		ld	e,(iy+data8)
		ld	h,(ix+data8)
		ld	l,(iy-data8)
		ld	a,(1234h)
		ld	a,(10)
		ld	a,(10d)
		ld	a,(10h)
		ld	a,(10q)
		ld	a,(10b)
		ld	a,(address)
		ld	a,(address+10)
		ld	a,(address+10d)
		ld	a,(address+10h)
		ld	a,(address+10q)
		ld	a,(address+10b)
		ld	a,(address-10)
		ld	a,(address-10d)
		ld	a,(address-10h)
		ld	a,(address-10q)
		ld	a,(address-10b)
		ld	a,(address+(2**data8))
		ld	a,10
		ld	a,10d
		ld	a,10h
		ld	a,10q
		ld	a,10b
		ld	b,-10
		ld	b,-10d
		ld	b,-10h
		ld	b,-10q
		ld	b,-10b
		ld	c,data8
		ld	d,data8
		ld	e,0
		ld	h,-1
		ld	l,1
		ld	(hl),a
		ld	(hl),b
		ld	(hl),c
		ld	(hl),d
		ld	(hl),e
		ld	(hl),h
		ld	(hl),l
		ld	(bc),a
		ld	(de),a
		ld	(hl),0
		ld	(hl),8
		ld	(hl),data8
		ld	(ix+10),a
		ld	(ix+10d),a
		ld	(ix+10h),a
		ld	(ix+10q),a
		ld	(ix+10b),a
		ld	(iy-10),b
		ld	(iy-10d),b
		ld	(iy-10h),b
		ld	(iy-10q),b
		ld	(iy-10b),b
		ld	(ix+data8),c
		ld	(iy+data8),d
		ld	(ix-10),e
		ld	(ix-10d),e
		ld	(ix-10h),e
		ld	(ix-10q),e
		ld	(ix-10b),e
		ld	(iy+10),h
		ld	(iy+10d),h
		ld	(iy+10h),h
		ld	(iy+10q),h
		ld	(iy+10b),h
		ld	(ix+2),l
		ld	(ix+1),1
		ld	(iy+1),1
		ld	(ix+data8),data8
		ld	(iy+data8),data8
		ld	(ix+data8),-2
		ld	(iy+data8),-2
		ld	(iy+1),a
		ld	(iy-1),b
		ld	(iy+data8),c
		ld	(iy+5),d
		ld	(iy-5),e
		ld	(iy+10),h
		ld	(iy-10),l
		ld	(iy+data8),5
		ld	(iy+data8),-5
		ld	(ix-2),data8
		ld	(iy-2),data8
		ld	(address),a
		ld	(address+10),a
		ld	(address+10d),a
		ld	(address+10h),a
		ld	(address+10q),a
		ld	(address+10b),a
		ld	(1234h),a
		ld	(10),a
		ld	(10d),a
		ld	(10h),a
		ld	(10q),a
		ld	(10b),a
		ld	a,i
		ld	a,r
		ld	i,a
		ld	r,a

		ld	bc,1234h
		ld	bc,10
		ld	bc,10d
		ld	bc,10h
		ld	bc,10q
		ld	bc,10b
		ld	bc,(address)
		ld	bc,(address+10)
		ld	bc,(address+10d)
		ld	bc,(address+10h)
		ld	bc,(address+10q)
		ld	bc,(address+10b)
		ld	bc,data16
		ld	de,1234h
		ld	de,10
		ld	de,10d
		ld	de,10h
		ld	de,10q
		ld	de,10b
		ld	de,data16
		ld	de,(address)
		ld	de,(address+10)
		ld	de,(address+10d)
		ld	de,(address+10h)
		ld	de,(address+10q)
		ld	de,(address+10b)
		ld	hl,1234h
		ld	hl,10
		ld	hl,10d
		ld	hl,10h
		ld	hl,10q
		ld	hl,10b
		ld	hl,data16
		ld	hl,(address)
		ld	hl,(address+10)
		ld	hl,(address+10d)
		ld	hl,(address+10h)
		ld	hl,(address+10q)
		ld	hl,(address+10b)
		ld	hl,(address+5*data16)
		ld	sp,hl
		ld	sp,ix
		ld	sp,iy
		ld	sp,1234h
		ld	sp,data16
		ld	ix,1234h
		ld	ix,10
		ld	ix,10d
		ld	ix,10h
		ld	ix,10q
		ld	ix,10b
		ld	ix,data16
		ld	ix,(address)
		ld	ix,(address-10)
		ld	ix,(address-10d)
		ld	ix,(address-10h)
		ld	ix,(address-10q)
		ld	ix,(address-10b)
		ld	iy,1234h
		ld	iy,-10
		ld	iy,-10d
		ld	iy,-10h
		ld	iy,-10q
		ld	iy,-10b
		ld	iy,data16
		ld	iy,(address)
		ld	iy,(address-10)
		ld	iy,(address-10d)
		ld	iy,(address-10h)
		ld	iy,(address-10q)
		ld	iy,(address-10b)
		ld	(1234h),bc
		ld	(10),bc
		ld	(10d),bc
		ld	(10h),bc
		ld	(10q),bc
		ld	(10b),bc
		ld	(address),bc
		ld	(address-10),bc
		ld	(address-10d),bc
		ld	(address-10h),bc
		ld	(address-10q),bc
		ld	(address-10b),bc
		ld	(1234h),de
		ld	(10),de
		ld	(10d),de
		ld	(10h),de
		ld	(10q),de
		ld	(10b),de
		ld	(address),de
		ld	(address-10),de
		ld	(address-10d),de
		ld	(address-10h),de
		ld	(address-10q),de
		ld	(address-10b),de
		ld	(1234h),hl
		ld	(10),hl
		ld	(10d),hl
		ld	(10h),hl
		ld	(10q),hl
		ld	(10b),hl
		ld	(address),hl
		ld	(address+10),hl
		ld	(address+10d),hl
		ld	(address+10h),hl
		ld	(address+10q),hl
		ld	(address+10b),hl
		ld	(1234h),sp
		ld	(address),sp
		ld	(1234h),ix
		ld	(10),ix
		ld	(10d),ix
		ld	(10h),ix
		ld	(10q),ix
		ld	(10b),ix
		ld	(address),ix
		ld	(address+10),ix
		ld	(address+10d),ix
		ld	(address+10h),ix
		ld	(address+10q),ix
		ld	(address+10b),ix
		ld	(1234h),iy
		ld	(10),iy
		ld	(10d),iy
		ld	(10h),iy
		ld	(10q),iy
		ld	(10b),iy
		ld	(address),iy
		ld	(address-10),iy
		ld	(address-10d),iy
		ld	(address-10h),iy
		ld	(address-10q),iy
		ld	(address-10b),iy


ldd:		ldd


lddr:		lddr


ldi:		ldi


ldir:		ldir


neg:		neg


nop:		nop


or:		or	a
		or	b
		or	c
		or	d
		or	e
		or	h
		or	l
		or	(hl)
		or	(ix+10)
		or	(ix+10d)
		or	(ix+10h)
		or	(ix+10q)
		or	(ix+10b)
		or	(ix-10)
		or	(ix-10d)
		or	(ix-10h)
		or	(ix-10q)
		or	(ix-10b)
		or	(ix+data8)
		or	(iy+10)
		or	(iy+10d)
		or	(iy+10h)
		or	(iy+10q)
		or	(iy+10b)
		or	(iy-10)
		or	(iy-10d)
		or	(iy-10h)
		or	(iy-10q)
		or	(iy-10b)
		or	(iy+data8)
		or	10
		or	10d
		or	10h
		or	10q
		or	10b
		or	-10
		or	-10d
		or	-10h
		or	-10q
		or	-10b
		or	data8


out:		out	(10),a
		out	(10d),a
		out	(10h),a
		out	(10q),a
		out	(10b),a
		out	(data8),a
		out	(data8+10),a
		out	(data8+10d),a
		out	(data8+10h),a
		out	(data8+10q),a
		out	(data8+10b),a

		out	(c),a
		out	(c),b
		out	(c),c
		out	(c),d
		out	(c),e
		out	(c),h
		out	(c),l


outd:		outd


otdr:		otdr


outi:		outi


otir:		otir


pop:		pop	af
		pop	bc
		pop	de
		pop	hl
		pop	ix
		pop	iy


push:		push	af
		push	bc
		push	de
		push	hl
		push	ix
		push	iy


res:		res	0,a
		res	1,b
		res	2,c
		res	3,d
		res	4,e
		res	5,h
		res	6,l
		res	7,a
		res	data8,a
		res	1,(hl)
		res	data8,(hl)
		res	1,(ix+1)
		res	data8,(ix+1)
		res	1,(ix-1)
		res	data8,(ix-1)
		res	1,(ix+data8)
		res	data8,(ix+data8)
		res	7,(iy+5)
		res	data8,(iy+5)
		res	7,(iy-5)
		res	data8,(iy-5)
		res	7,(iy+data8)
		res	data8,(iy+data8)


ret:		ret
		ret	c
		ret	nc
		ret	z
		ret	nz
		ret	pe
		ret	po
		ret	m
		ret	p


reti:		reti


retn:		retn


rl:		rl	a
		rl	b
		rl	c
		rl	d
		rl	e
		rl	h
		rl	l
		rl	(hl)
		rl	(ix+10)
		rl	(ix+10d)
		rl	(ix+10h)
		rl	(ix+10q)
		rl	(ix+10b)
		rl	(ix-10)
		rl	(ix-10d)
		rl	(ix-10h)
		rl	(ix-10q)
		rl	(ix-10b)
		rl	(ix+data8)
		rl	(iy+10)
		rl	(iy+10d)
		rl	(iy+10h)
		rl	(iy+10q)
		rl	(iy+10b)
		rl	(iy-10)
		rl	(iy-10d)
		rl	(iy-10h)
		rl	(iy-10q)
		rl	(iy-10b)
		rl	(iy+data8)


rla:		rla


rlc:		rlc	a
		rlc	b
		rlc	c
		rlc	d
		rlc	e
		rlc	h
		rlc	l
		rlc	(hl)
		rlc	(ix+10)
		rlc	(ix+10d)
		rlc	(ix+10h)
		rlc	(ix+10q)
		rlc	(ix+10b)
		rlc	(ix-10)
		rlc	(ix-10d)
		rlc	(ix-10h)
		rlc	(ix-10q)
		rlc	(ix-10b)
		rlc	(ix+data8)
		rlc	(iy+10)
		rlc	(iy+10d)
		rlc	(iy+10h)
		rlc	(iy+10q)
		rlc	(iy+10b)
		rlc	(iy-10)
		rlc	(iy-10d)
		rlc	(iy-10h)
		rlc	(iy-10q)
		rlc	(iy-10b)
		rlc	(iy+data8)


rlca:		rlca


rld:		rld


rr:		rr	a
		rr	b
		rr	c
		rr	d
		rr	e
		rr	h
		rr	l
		rr	(hl)
		rr	(ix+10)
		rr	(ix+10d)
		rr	(ix+10h)
		rr	(ix+10q)
		rr	(ix+10b)
		rr	(ix-10)
		rr	(ix-10d)
		rr	(ix-10h)
		rr	(ix-10q)
		rr	(ix-10b)
		rr	(ix+data8)
		rr	(iy+10)
		rr	(iy+10d)
		rr	(iy+10h)
		rr	(iy+10q)
		rr	(iy+10b)
		rr	(iy-10)
		rr	(iy-10d)
		rr	(iy-10h)
		rr	(iy-10q)
		rr	(iy-10b)
		rr	(iy+data8)


rra:		rra


rrc:		rrc	a
		rrc	b
		rrc	c
		rrc	d
		rrc	e
		rrc	h
		rrc	l
		rrc	(hl)
		rrc	(ix+10)
		rrc	(ix+10d)
		rrc	(ix+10h)
		rrc	(ix+10q)
		rrc	(ix+10b)
		rrc	(ix-10)
		rrc	(ix-10d)
		rrc	(ix-10h)
		rrc	(ix-10q)
		rrc	(ix-10b)
		rrc	(ix+data8)
		rrc	(iy+10)
		rrc	(iy+10d)
		rrc	(iy+10h)
		rrc	(iy+10q)
		rrc	(iy+10b)
		rrc	(iy-10)
		rrc	(iy-10d)
		rrc	(iy-10h)
		rrc	(iy-10q)
		rrc	(iy-10b)
		rrc	(iy+data8)


rrca:		rrca


rrd:		rrd


rst:		rst	0
		rst	8
		rst	16
		rst	24
		rst	32
		rst	40
		rst	48
		rst	48
		rst	56


sbc:		sbc	a,a
		sbc	a,b
		sbc	a,c
		sbc	a,d
		sbc	a,e
		sbc	a,h
		sbc	a,l
		sbc	a,(hl)
		sbc	a,(ix+10)
		sbc	a,(ix+10d)
		sbc	a,(ix+10h)
		sbc	a,(ix+10q)
		sbc	a,(ix+10b)
		sbc	a,(ix-10)
		sbc	a,(ix-10d)
		sbc	a,(ix-10h)
		sbc	a,(ix-10q)
		sbc	a,(ix-10b)
		sbc	a,(ix+data8)
		sbc	a,(iy+10)
		sbc	a,(iy+10d)
		sbc	a,(iy+10h)
		sbc	a,(iy+10q)
		sbc	a,(iy+10b)
		sbc	a,(iy-10)
		sbc	a,(iy-10d)
		sbc	a,(iy-10h)
		sbc	a,(iy-10q)
		sbc	a,(iy-10b)
		sbc	a,(iy+data8)
		sbc	a,10
		sbc	a,10d
		sbc	a,10h
		sbc	a,10q
		sbc	a,10b
		sbc	a,-10
		sbc	a,-10d
		sbc	a,-10h
		sbc	a,-10q
		sbc	a,-10b
		sbc	a,data8

		sbc	hl,bc
		sbc	hl,de
		sbc	hl,hl
		sbc	hl,sp


scf:		scf


set:		set	0,a
		set	1,b
		set	2,c
		set	3,d
		set	4,e
		set	5,h
		set	6,l
		set	7,a
		set	data8,a
		set	1,(hl)
		set	data8,(hl)
		set	1,(ix+1)
		set	data8,(ix+1)
		set	1,(ix-1)
		set	data8,(ix-1)
		set	1,(ix+data8)
		set	data8,(ix+data8)
		set	7,(iy+5)
		set	data8,(iy+5)
		set	7,(iy-5)
		set	data8,(iy-5)
		set	7,(iy+data8)
		set	data8,(iy+data8)


sla:		sla	a
		sla	b
		sla	c
		sla	d
		sla	e
		sla	h
		sla	l
		sla	(hl)
		sla	(ix+10)
		sla	(ix+10d)
		sla	(ix+10h)
		sla	(ix+10q)
		sla	(ix+10b)
		sla	(ix-10)
		sla	(ix-10d)
		sla	(ix-10h)
		sla	(ix-10q)
		sla	(ix-10b)
		sla	(ix+data8)
		sla	(iy+10)
		sla	(iy+10d)
		sla	(iy+10h)
		sla	(iy+10q)
		sla	(iy+10b)
		sla	(iy-10)
		sla	(iy-10d)
		sla	(iy-10h)
		sla	(iy-10q)
		sla	(iy-10b)
		sla	(iy+data8)


sra:		sra	a
		sra	b
		sra	c
		sra	d
		sra	e
		sra	h
		sra	l
		sra	(hl)
		sra	(ix+10)
		sra	(ix+10d)
		sra	(ix+10h)
		sra	(ix+10q)
		sra	(ix+10b)
		sra	(ix-10)
		sra	(ix-10d)
		sra	(ix-10h)
		sra	(ix-10q)
		sra	(ix-10b)
		sra	(ix+data8)
		sra	(iy+10)
		sra	(iy+10d)
		sra	(iy+10h)
		sra	(iy+10q)
		sra	(iy+10b)
		sra	(iy-10)
		sra	(iy-10d)
		sra	(iy-10h)
		sra	(iy-10q)
		sra	(iy-10b)
		sra	(iy+data8)


srl:		srl	a
		srl	b
		srl	c
		srl	d
		srl	e
		srl	h
		srl	l
		srl	(hl)
		srl	(ix+10)
		srl	(ix+10d)
		srl	(ix+10h)
		srl	(ix+10q)
		srl	(ix+10b)
		srl	(ix-10)
		srl	(ix-10d)
		srl	(ix-10h)
		srl	(ix-10q)
		srl	(ix-10b)
		srl	(ix+data8)
		srl	(iy+10)
		srl	(iy+10d)
		srl	(iy+10h)
		srl	(iy+10q)
		srl	(iy+10b)
		srl	(iy-10)
		srl	(iy-10d)
		srl	(iy-10h)
		srl	(iy-10q)
		srl	(iy-10b)
		srl	(iy+data8)


sub:		sub	a
		sub	b
		sub	c
		sub	d
		sub	e
		sub	h
		sub	l
		sub	(hl)
		sub	(ix+10)
		sub	(ix+10d)
		sub	(ix+10h)
		sub	(ix+10q)
		sub	(ix+10b)
		sub	(ix-10)
		sub	(ix-10d)
		sub	(ix-10h)
		sub	(ix-10q)
		sub	(ix-10b)
		sub	(ix+data8)
		sub	(iy+10)
		sub	(iy+10d)
		sub	(iy+10h)
		sub	(iy+10q)
		sub	(iy+10b)
		sub	(iy-10)
		sub	(iy-10d)
		sub	(iy-10h)
		sub	(iy-10q)
		sub	(iy-10b)
		sub	(iy+data8)
		sub	10
		sub	10d
		sub	10h
		sub	10q
		sub	10b
		sub	-10
		sub	-10d
		sub	-10h
		sub	-10q
		sub	-10b
		sub	data8


xor:		xor	a
		xor	b
		xor	c
		xor	d
		xor	e
		xor	h
		xor	l
		xor	(hl)
		xor	(ix+10)
		xor	(ix+10d)
		xor	(ix+10h)
		xor	(ix+10q)
		xor	(ix+10b)
		xor	(ix-10)
		xor	(ix-10d)
		xor	(ix-10h)
		xor	(ix-10q)
		xor	(ix-10b)
		xor	(ix+data8)
		xor	(iy+10)
		xor	(iy+10d)
		xor	(iy+10h)
		xor	(iy+10q)
		xor	(iy+10b)
		xor	(iy-10)
		xor	(iy-10d)
		xor	(iy-10h)
		xor	(iy-10q)
		xor	(iy-10b)
		xor	(iy+data8)
		xor	10
		xor	10d
		xor	10h
		xor	10q
		xor	10b
		xor	-10
		xor	-10d
		xor	-10h
		xor	-10q
		xor	-10b
		xor	data8




		.end




















